The video was easy to follow and the bit at the end was nice to see the function working step by step to show the concept of backtracking. You definitely worked super hard on this video. well done
Great minimal coding using recursion. And animation is real added bonus. The video itself is a good example in its own class to emulate by other educators perhaps.
WOW. I always expected making a Sudoku solver to be insanely complicated, but clearly not. I actually suck at solving Sudokus, but I'm planning on making a Sudoku solver for a school project, and this is perfect. I didn't expect to understand anything at all when I clicked on this video. I'm really surprised how easy this seems. I hope it is how it seems 🤞
I enjoied very much watching the video. I think that some other solution type, may try breath first strategy, and also, simply to complex coroborating techniques to produce the next breath first aproximation of all pissiblities for any cell to be filled with digits, that is also meant to find, in the end, the unique solution, if the algo work properly. :-)
Sorry for my english language mistakes, first, and second, yes, my idea that I put above may need more memory than the one occupied by the sudoku array itself, kinda bigger order complexity mem amount needed, compared to the sudoku board. >
I always wondered if we can succesfully test some rating 1400 chess program based on limited hardware processing power and some software idea that I would formulate it as progressive complexity breath first alpha beta prunning also stable kinda search/ stable first minimax search, breifly. Thank You! :-)
@@insidecode Thanks but if the grid is printed after the function is called grid is still the same unsolved one, but if printed with in the function just before returning False solved one is printed, so how to use the result?
I found myself spending days on this - it feels so disappointing! Is this normal?? I got to try solve it(did not finish) in a longer approach too, probably inefficient - i feel defeated! I did not use backtracking. I seem to get confused with recursion every time despite having lots of experience! Is this normal? Is it possible to come up with this solution from the get go in 5 minutes if one has never done it before? Thank you for sharing this video - it's been very well explained - + 1 like and subscribe.
I love you! no homo. Best explanation I have ever seen. It allowed me to organize my thoughts. Other instructors make it more complicated than what it is.
Discover the new graph theory algorithms course: inscod.com/graphalgo
🔴
/ \
🔵-🔴
| |
🔴-🔵
The video was easy to follow and the bit at the end was nice to see the function working step by step to show the concept of backtracking. You definitely worked super hard on this video. well done
Thanks a lot!
it makes me so sad to see a lot of people havent viewed this masterpiece
It was the best video that I watched about sudoku solution and backtracking! It was very clear and simple to understand. Thank you !
He solves every coding problem flawlessly and he's so easy to follow.
Thanks a lot!
Great minimal coding using recursion. And animation is real added bonus. The video itself is a good example in its own class to emulate by other educators perhaps.
Thank you!
This was amazing! I actually understood the sudoku backtracking algorithm finally.
WOW. I always expected making a Sudoku solver to be insanely complicated, but clearly not. I actually suck at solving Sudokus, but I'm planning on making a Sudoku solver for a school project, and this is perfect. I didn't expect to understand anything at all when I clicked on this video. I'm really surprised how easy this seems. I hope it is how it seems 🤞
Very cool animation, very elegant solution! Thank you so much.
You're welcome!
the best of the best for sudoku solution. THANK YOU SO MUCH😍
it didn't work for me
how did it not work?
leetcode has the numbers in the board as strings and has "." instead of 0. Switch it around and should work fine
الله يبارك
the animation is really cool and the code is neat
keep it up man you are doing wonders
Thanks!
بسألك البرنامج الي استخدمه جافا و لا بايثون
thank you for this video, great timing
How to know if the grid has more than one solution?
brilliant explanation => thank you so much Bro😘
please continue
amazing explanation and animation! thanks man
I enjoied very much watching the video. I think that some other solution type, may try breath first strategy, and also, simply to complex coroborating techniques to produce the next breath first aproximation of all pissiblities for any cell to be filled with digits, that is also meant to find, in the end, the unique solution, if the algo work properly. :-)
Sorry for my english language mistakes, first, and second, yes, my idea that I put above may need more memory than the one occupied by the sudoku array itself, kinda bigger order complexity mem amount needed, compared to the sudoku board. >
how do i make my output show all its trials and errors like at 5:05
I get how the conditions n i get how it checks every number to see if its valid but i still dont get how it goes back can anyone help me out
If the solver stops when the row is = 9 then how will you do the last row?
Indices in Python lists start from 0 so last row's index is 8
FINALLY I SOLVED THIS SHI
Great quality.
Thanks
I always wondered if we can succesfully test some rating 1400 chess program based on limited hardware processing power and some software idea that I would formulate it as progressive complexity breath first alpha beta prunning also stable kinda search/ stable first minimax search, breifly. Thank You! :-)
the key word and the most hard to be acheived is perhaps the "stable" one.
Python or Java?
But if we return only true how to get the result? How to grab the puzzle?
Changes are being done on the grid passed as argument, so you will find the final result there
@@insidecode Thanks but if the grid is printed after the function is called grid is still the same unsolved one, but if printed with in the function just before returning False solved one is printed, so how to use the result?
Thank you.
You're welcome!
your source code in github is follow 'backtraking' algorithm?
yes
I found myself spending days on this - it feels so disappointing! Is this normal?? I got to try solve it(did not finish) in a longer approach too, probably inefficient - i feel defeated! I did not use backtracking. I seem to get confused with recursion every time despite having lots of experience! Is this normal? Is it possible to come up with this solution from the get go in 5 minutes if one has never done it before? Thank you for sharing this video - it's been very well explained - + 1 like and subscribe.
I love you! no homo. Best explanation I have ever seen. It allowed me to organize my thoughts. Other instructors make it more complicated than what it is.
This seems like it would take forever to run
Nope because a sudoku grid is only 9x9, which is quite small
For a human, yeah probably
i make it with C
My dear you tuber ,
First solve sudoku in paper and tell about algorithm for program
THE ALGORITHM WILL NOT WORK
#error
5:05
5:07